<?php

/**
 * @file views-view-two-column-table.tpl.php
 * Default simple view template to display a two column table.
 *
 * - $title : The title of this group of rows.  May be empty.
 * - $class : A class or classes to apply to the table, based on settings.
 * - $row_classes: An array of classes to apply to each row, indexed by row
 * - $header: An array of header labels keyed by field id.
 * - $fields: An array of CSS IDs to use for each field id.
 *   number. This matches the index in $rows.
 * - $rows: An array of row items. Each row is an array of content.
 *   $rows are keyed by row number, fields within rows are keyed by field ID.
 * @ingroup views_templates
 */
?>


<table class="<?php print $class; ?>">
  <?php if (!empty($title)) : ?>
    <caption><?php print $title; ?></caption>
  <?php endif; ?>
  <?php $zebtra = 'even'; ?>
  <tbody>
    <?php foreach ($rows as $count => $row): ?>
      <tr class="views-row views-row-<?php print implode(' ', $row_classes[$count]); ?>">
        <table class="views-row-table views-row-table-<?php print implode(' ', $row_classes[$count]); ?>"><tbody>
          <?php foreach ($row as $field => $content): ?>
            <?php if ((($fields_obj[$field]->options['hide_empty'] && empty($content)) || ($fields_obj[$field]->options['hide_alter_empty'] && empty($fields_obj[$field]->original_value))) && ($content !== 0 || $fields_obj[$field]->options['empty_zero'])): ?>
              <?php continue; // Skip this field if empty and configured to do so. ?>
            <?php endif; ?>
            <tr class="views-field-row views-field-row-<?php print $fields[$field] . ' ' . $zebra; ?>">
              <th class="views-field-label views-field-label-<?php print $fields[$field]; ?>">
                <?php if (!empty($header[$field])) : ?>
                  <?php print $header[$field]; ?> :
                <?php endif; ?>
              </th>
              <td class="views-field views-field-<?php print $fields[$field]; ?>">
                <?php print $content; ?>
              </td>
            </tr>
            <?php $zebra = ($zebra == 'odd') ? 'even' : 'odd'; ?>
          <?php endforeach; ?>
        </tbody></table>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>

